PHP Manual
Prev |  | Next

# SimpleXMLElement->addAttribute()

(no version information, might be only in CVS)

SimpleXMLElement->addAttribute() -- Adds an attribute to the SimpleXML element

## Description

class SimpleXMLElement {
void addAttribute ( string name, string value [, string namespace] )
}

Adds an attribute to the SimpleXML element.

## Parameters

name

  The name of the attribute to add.

value

  The value of the attribute.

namespace

  If specified, the namespace to which the attribute belongs.

## Examples

Example 1. Add attributes and children to a SimpleXML element

`<?php
include 'example.php';
$sxe = new SimpleXMLElement($xmlstr);
$sxe->addAttribute('type', 'documentary');
$movie = $sxe->addChild('movie');
$movie->addChild('title', 'PHP2: More Parser Stories');
$movie->addChild('plot', 'This is all about the people who make it work.');
$characters = $movie->addChild('characters');
$character = $characters->addChild('character');
$character->addChild('name', 'Mr. Parser');
$character->addChild('actor', 'John Doe');
$rating = $movie->addChild('rating', '5');
$rating->addAttribute('type', 'stars');
echo $sxe->asXML();
?>`

## See Also

SimpleXMLElement->addChild()

Prev | Home | Next
SimpleXML functions | Up | SimpleXMLElement->addChild()